.header {
	position: relative;
	z-index: 99;
	transition: all 0.3s;

	& .site-title {
		display: flex;
		align-items: center;

		& a {
			font-size: 1.25rem;
			font-weight: var(--font-bold);

			&:hover {
				@media (--m) {
					color: var(--primary);
				}
			}
		}
	}

	& .custom-logo-link {
		display: inline-flex;
		align-items: center;
		margin-bottom: 0;
		transition: all 0.3s;

		& .custom-logo {
			width: auto;
			height: auto;
			max-height: 30px;
			max-width: 100%;

			@media (--s) {
				max-height: 40px;
			}

			@media (--m) {
				max-height: 60px;
			}
		}
	}
}

.header__grid {
	position: relative;
}

.header--transparent {
	background-color: transparent;
}

.header__grid {
	@media (--m) {
		margin: 0 calc(-1 * var(--grid-gutter));
	}
}

.header__col--mobile-button {
	@media (--m) {
		display: none !important;
	}
}

.header__col {
	@media (--m) {
		padding: 0 var(--grid-gutter);
	}
}

.header__menu {
	@mixin list-reset;

	display: none;

	@media (--m) {
		display: flex;
		flex-wrap: wrap;
	}

	& > .menu-item {
		position: relative;
		margin-top: 0;
		padding: 0 15px;

		&:first-child {
			@media (--m) {
				padding-left: 0;
			}
		}

		& > a {
			display: block;
			color: var(--black);
			padding: 1em 0;

			&:hover {
				color: var(--primary);
			}
		}
	}

	& > .menu-item-has-children {
		position: relative;
		user-select: none;
		cursor: pointer;
		display: flex;
		align-items: center;

		& > a {
			margin-right: 5px;
		}

		& .icon-toggle {
			clip-path: polygon(100% 0, 0 0, 50% 100%);
			width: 10px;
			height: 5px;
			background: var(--black);
		}

		@media (--m) {
			& .menu-item {
				margin-top: 0;

				& > a {
					display: inherit;
					padding: 6px 10px;
					border-top: 1px solid var(--primary-light);

					&:hover {
						color: var(--primary);
					}
				}

				&:first-child {
					& > a {
						border-top: unset;
					}
				}
			}

			& .sub-menu {
				@mixin list-reset;
			}

			& > .sub-menu {
				@mixin fade-out;

				position: absolute;
				top: 100%;
				left: 0;
				width: 250px;
				box-shadow: 0 0 6px 0 var(--primary-light);

				& .menu-item-has-children {
					position: relative;

					& > .icon-toggle {
						clip-path: polygon(100% 0, 0 0, 50% 100%);
						width: 10px;
						height: 5px;
						background: var(--black);
						position: absolute;
						top: 45%;
						right: 8px;
						display: block;
						transform: rotate(265deg);
					}

					& > a {
						padding-right: 30px;
					}

					& > .sub-menu {
						@mixin fade-out;

						position: absolute;
						top: 0;
						left: 100%;
						width: 250px;
						box-shadow: 0 0 6px 0 var(--primary-light);
					}

					&:hover {
						background: var(--black);

						& > a {
							color: var(--white);
						}

						& > .icon-toggle {
							background: var(--white);
						}

						& > .sub-menu {
							@mixin fade-in;
						}
					}
				}
			}

			&:hover {
				&::after {
					transform: translateY(-50%) rotate(0);
				}

				& .sub-menu {
					@mixin fade-in;

					background: var(--white);
				}
			}
		}
	}
}

.header__mobile-button {
	@mixin button-reset;

	width: 40px;
	height: 40px;
	padding: 5px;

	& * {
		pointer-events: none;
	}

	& svg {
		width: 20px;
		height: 20px;
	}

	@media (--m) {
		display: none;
	}
}

.header__menu-icons {
	display: flex;
	align-items: center;
}

.header__menu-icons__button {
	@mixin button-reset;

	& * {
		pointer-events: none;
		user-select: none;
	}
}

.header__menu-icons__icon,
.header__menu-icons__button {
	@mixin icon 24px;

	& svg {
		@mixin icon 20px;
	}
}

.header__menu-icons__link {
	display: flex;
	align-items: center;
}

.header__menu-icons__item {
	margin-left: 15px;

	&:first-child {
		margin-left: 0;
	}
}

.header__menu-icons__item--phone {
	display: flex;
	color: var(--dark);

	& .header__menu-icons__icon {
		@mixin icon 20px;

		display: flex;
		padding: 0;

		@media (--s) {
			@mixin icon 36px;
		}
	}

	& .header__menu-icons__content {
		flex: 1 1 0;
		flex-direction: column;
		padding-left: 5px;
		display: none;

		@media (--s) {
			display: flex;
		}
	}

	& .header__menu-icons__label {
		margin-bottom: 0.25em;
		line-height: 1;
	}

	& .header__menu-icons__text {
		font-weight: var(--font-bold);
		font-size: var(--text-large);
		color: var(--primary);
		line-height: 1;
	}

	& svg path {
		fill: var(--dark);
	}
}

.header.bg-primary {
	& .header__menu-icons__item--cart .cart-shortcode__count {
		background-color: var(--secondary);
	}
}

.header.header--has-bg {
	& .search-form--header {
		& .search-field {
			background-color: var(--white);
		}
	}
}

.header--dark-contract {
	color: var(--white);

	& a {
		color: var(--white);
	}

	& svg {
		fill: var(--white);
	}

	& .header__menu {
		& > .menu-item-has-children {
			& .icon-toggle {
				background: var(--white);
			}
		}
	}
}

.header--layout-6.header--dark-contract,
.header--dark-contract {
	& .header__mobile-button svg,
	& .header__menu-icons__item--search .header__menu-icons__icon {
		fill: var(--white);
	}

	& .header__menu-icons__item--phone .header__menu-icons__icon svg path,
	& .header__menu-icons__item--cart svg path,
	& .header__menu-icons__item--account .header__menu-icons__icon svg path {
		fill: var(--white);
	}

	& .header__menu-icons__label,
	& .header__menu-icons__text,
	& .header__menu > .menu-item > a,
	& .site-title a {
		color: var(--white);

		&:hover {
			color: var(--white);
		}
	}
}

.header--layout-1 {
	& .header__wrapper {
		padding: 1em 0;
	}

	& .header__grid {
		@media (--s) {
			justify-content: space-between;
		}
	}

	& .header__col {
		display: flex;
		flex-direction: column;
		justify-content: center;
	}

	& .header__col--navigation {
		display: none;
		align-items: flex-end;

		@media (--m) {
			margin-left: auto;
			display: flex;
		}
	}

	& .header__col--menu-icons {
		margin-left: auto;

		@media (--m) {
			order: 2;
			margin-left: 0;
		}
	}

	& .header__menu > .menu-item:last-child {
		@media (--m) {
			padding-right: 0;
		}
	}

	& .header__menu-icons__item--cart {
		margin-left: 0;

		@media (--m) {
			margin-left: 15px;
		}
	}

	& .header__menu-icons__item--search,
	& .header__menu-icons__item--account {
		@media (--m) {
			display: flex;
		}
	}
}

.header--layout-2 {
	& .header__grid {
		justify-content: space-between;
	}

	& .header__col {
		display: flex;
		flex-direction: column;
		justify-content: center;
	}

	& .header__mobile-button {
		@media (--m) {
			display: block;
		}
	}
}

.header--layout-3 {
	& .header__row:first-child {
		& .header__grid {
			justify-content: space-between;
		}

		& .header__col {
			display: flex;
			flex-direction: column;
			justify-content: center;
		}
	}

	& .header__row:last-child {
		display: none;

		@media (--m) {
			display: block;
		}

		& .header__col--navigation {
			width: 100%;
			display: flex;
			justify-content: center;
		}

		& .header__nav {
			display: inline-flex;
		}
	}

	& .header__menu-icons__item--account,
	& .header__menu-icons__item--search {
		display: none;

		@media (--m) {
			display: flex;
		}
	}
}

.header--layout-4 {
	& .header__grid {
		justify-content: space-between;
	}

	& .header__col {
		display: flex;
		flex-direction: column;
		justify-content: center;
	}
}

.header--type-dark,
.header--type-transparent-dark {
	& .header__menu > .menu-item > a {
		color: var(--white);

		&:hover {
			opacity: 0.75;
		}
	}

	& .header__menu {
		& .menu-item-has-children {
			& > a {
				&::after {
					background: var(--white);
				}
			}
		}
	}

	& .header__menu-icons__icon svg,
	& .header__menu-icons__button svg,
	& .header__mobile-button svg {
		fill: var(--white);
	}
}

.header--type-light,
.header--type-transparent {
	& .header__menu {
		& > .menu-item-has-children {
			& > a {
				&::after {
					background: var(--dark);
				}
			}
		}
	}
}

.header--layout-5 {
	& .header__row--navigation,
	& .header__menu-icons__item--cart,
	& .header__menu-icons__item--account {
		display: none;

		@media (--m) {
			display: flex;
			flex-wrap: wrap;
		}
	}

	& .header__row--main {
		& .header__grid {
			justify-content: space-between;

			@media (--m) {
				justify-content: flex-start;
			}
		}
	}

	& .header__col {
		@mixin flex-center;
	}

	& .header__col--menu-icons {
		@media (--m) {
			margin-left: auto;
		}
	}

	& .header__col--navigation {
		@media (--m) {
			width: 100%;
		}
	}
}

.header--layout-6 {
	& .header__row--navigation,
	& .header__menu-icons__item--account {
		display: none;

		@media (--m) {
			display: block;
		}
	}

	& .header__menu-icons__item--search {
		display: none;
	}

	& .header__row--main {
		padding: 10px 0;

		@media (--m) {
			border-bottom: 1px solid rgba(0, 0, 0, 0.08);
		}

		& .header__grid {
			justify-content: space-between;

			@media (--m) {
				justify-content: flex-start;
			}
		}
	}

	& .header__col {
		@mixin flex-center;
	}

	& .header__widget--form {
		width: 100%;

		@media (--m) {
			width: 500px;
		}
	}

	& .header__col--menu-icons {
		margin-left: auto;
	}

	& .header__col--mobile-button {
		order: 2;

		@media (--m) {
			display: none;
		}
	}

	& .header__row--navigation {
		@media (--m) {
			padding: 0.5em 0;
			border-bottom: 1px solid rgba(0, 0, 0, 0.08);
		}
	}

	& .header__col--navigation {
		@media (--m) {
			width: 100%;
			align-items: flex-start;
		}
	}

	& .header__col--search-form {
		display: none;
		flex: 1 1 auto;

		@media (--m) {
			display: flex;
			width: 550px;
		}
	}

	& .header__menu {
		& .menu-item {
			& a {
				padding: 8px 0;
				color: var(--dark);
			}
		}

		& > .menu-item {
			position: relative;
			margin: 0 20px;
			padding: 0;

			& > a {
				display: flex;
				justify-content: space-between;
				align-items: center;

				@media (--m) {
					&:hover {
						color: var(--primary);
					}
				}

				&::before {
					content: '';
					position: absolute;
					top: 100%;
					left: 0;
					width: 0;
					height: 3px;
					background-color: var(--primary);
					transition: 0.3s;
				}
			}
		}

		& .current-menu-item {
			& a {
				color: var(--primary);

				&::before {
					width: 100%;
				}
			}
		}

		& .sub-menu {
			& .menu-item {
				display: block;
				margin: 0;

				& a {
					padding: 0.25em 0.5em;
				}
			}
		}
	}
}

.header--layout-7 {
	& .header__row--navigation,
	& .header__menu-icons__item--search,
	& .header__menu-icons__item--account {
		display: none;

		@media (--m) {
			display: block;
		}
	}

	& .header__row--main {
		padding: 10px 0;

		@media (--m) {
			border-bottom: 1px solid rgba(0, 0, 0, 0.08);
		}

		& .header__grid {
			justify-content: space-between;
			align-items: center;

			@media (--m) {
				justify-content: flex-start;
			}
		}
	}

	& .header__col {
		@mixin flex-center;
	}

	& .header__widget--form {
		width: 100%;

		@media (--m) {
			width: 500px;
		}
	}

	& .header__col--menu-icons {
		@media (--m) {
			margin-left: auto;
		}
	}

	& .header__row--navigation {
		@media (--m) {
			border-bottom: 1px solid rgba(0, 0, 0, 0.08);
		}
	}

	& .header__col--navigation {
		@media (--m) {
			align-items: flex-start;
		}
	}

	& .header__col--search-form {
		display: none;
		flex: 1 1 auto;

		@media (--m) {
			display: flex;
			width: 550px;
		}
	}

	& .header__col--mobile-button {
		display: block;

		@media (--m) {
			display: none;
		}
	}

	& .header__menu {
		& .menu-item {
			position: relative;
			display: inline-flex;
			line-height: 1;
			align-items: center;
			flex-direction: column;
			margin: 0 20px;
			padding: 0;

			&:first-child {
				margin-left: 0;
			}

			& a {
				display: flex;
				justify-content: space-between;
				align-items: center;
				line-height: 40px;
				color: var(--dark);
				padding: 0;

				@media (--m) {
					&:hover {
						color: var(--primary);
					}
				}

				&::before {
					content: '';
					position: absolute;
					top: 100%;
					left: 0;
					width: 0;
					height: 3px;
					background-color: var(--primary);
					transition: 0.3s;
				}
			}
		}

		& .current-menu-item {
			& a {
				color: var(--primary);

				&::before {
					width: 100%;
				}
			}
		}

		& .sub-menu {
			& .menu-item {
				display: block;
				margin: 0;

				& a {
					padding: 0 10px;
				}
			}
		}
	}

	& .header__col--vertical {
		@media (--m) {
			width: 25%;
		}
	}

	& .header__vertical-list {
		position: absolute;
		top: 100%;
		right: 0;
		left: 0;
		z-index: 299;
		visibility: hidden;
		opacity: 0;
		transition: all 0.3s;
		transform: translateY(15px) translateZ(0);
		background: var(--white);
		border: 1px solid rgba(0, 0, 0, 0.05);
	}

	& .header__vertical-wrapper {
		width: 100%;
		position: relative;

		&:hover {
			& .header__vertical-list {
				visibility: visible;
				opacity: 1;
				transform: none;
			}
		}
	}

	& .header__vertical-header {
		background: var(--secondary);
		color: var(--white);
		padding: 0 1.5em;
		line-height: 40px;
	}

	& .header__vertical-icon {
		padding: 2px;

		& svg {
			width: 16px;
			height: 16px;
			fill: white;
		}
	}

	& .header__vertical_menu {
		list-style: none;

		& > .menu-item {
			& > a {
				display: inherit;
				padding: 0.5em 1.5em;
				border-bottom: 1px solid rgba(0, 0, 0, 0.05);
				position: relative;

				&::before {
					content: '';
					width: 2px;
					height: 100%;
					position: absolute;
					transition: all 0.3s;
					left: 0;
					top: 0;
				}

				&:hover {
					color: var(--primary);

					&::before {
						background: var(--primary);
					}
				}
			}
		}
	}
}

& [data-sticky-header] {
	transition: all 0.5s;
}

.is-fixed-header {
	& .header-topbar {
		display: none;
	}

	& .header--layout-3,
	& .header--layout-5,
	& .header--layout-6,
	& .header--layout-7 {
		&[data-sticky-header] {
			& .header__row--main {
				@media (--m) {
					display: none;
				}
			}
		}
	}

	& [data-sticky-header] {
		&.bg-dark {
			& .header__sticky {
				background-color: var(--dark);
			}
		}

		&.bg-primary {
			& .header__sticky {
				background-color: var(--primary);
			}
		}

		&.bg-white {
			& .header__sticky {
				background-color: var(--white);
			}
		}

		& .jump-down {
			position: fixed;
			width: 100%;
			top: 0;
			left: 0;
			z-index: 99;
			animation: stuckMoveDown 0.5s;
			box-shadow: 0 1px 2px 0 var(--gray);
		}

		& .visible-scroll-up {
			position: fixed;
			width: 100%;
			left: 0;
			bottom: 100%;
			transition: all 0.5s;
			z-index: 99;
		}
	}

	&.scroll-up {
		& [data-sticky-header] {
			& .visible-scroll-up {
				transform: translateY(100%);
				box-shadow: 0 1px 2px 0 var(--gray);
			}
		}
	}
}

@keyframes stuckMoveDown {
	0% {
		transform: translateY(-100%);
	}
	100% {
		transform: translateY(0);
	}
}

.has-mega-menu {
	@media (--m) {
		position: unset !important;

		& > .sub-menu {
			width: 100% !important;
			max-width: var(--container-max) !important;
			display: flex;
			flex-wrap: wrap;
			justify-content: left;
			background: var(--white);
			padding: var(--grid-gutter-m) !important;
			border-top: 2px solid var(--primary);
			opacity: 0;
			visibility: hidden;
			max-height: 0;
			transition: max-height 0.3s ease-out;
			overflow: hidden;

			& > .menu-item {
				position: relative;
				display: block;
				padding: 0 var(--grid-gutter);

				& > a {
					font-weight: var(--font-bold);
					color: var(--dark-3);
					border-top: unset !important;
					border-bottom: 1px solid var(--border) !important;
				}

				& > .sub-menu {
					position: relative !important;
					display: block;
					width: auto !important;
					box-shadow: unset !important;
					top: unset !important;
					left: unset !important;
					opacity: unset !important;
					visibility: unset !important;
				}
			}
		}

		&.mega-col-2 {
			& > .sub-menu {
				& > .menu-item {
					@mixin column-item 2, 1em;
				}
			}
		}

		&.mega-col-3 {
			& > .sub-menu {
				& > .menu-item {
					@mixin column-item 3, 1em;
				}
			}
		}

		&.mega-col-4 {
			& > .sub-menu {
				& > .menu-item {
					@mixin column-item 4, 1em;
				}
			}
		}

		&.mega-col-5 {
			& > .sub-menu {
				& > .menu-item {
					@mixin column-item 5, 1em;
				}
			}
		}

		&.mega-col-6 {
			& > .sub-menu {
				& > .menu-item {
					@mixin column-item 6, 1em;
				}
			}
		}
	}

	&:hover {
		@media (--m) {
			& > .sub-menu {
				opacity: 1 !important;
				visibility: visible !important;
				max-height: 800px;
				transition: max-height 0.3s ease-in;
				overflow-y: auto;
			}
		}
	}
}
